Package com.google.android.exoplayer2.testutil

## Class DataSourceContractTest.TestResource.Builder

- java.lang.Object
- - com.google.android.exoplayer2.testutil.DataSourceContractTest.TestResource.Builder

- Enclosing class:
    DataSourceContractTest.TestResource

      public static final class DataSourceContractTest.TestResource.Builder
      extends Object

  Builder for `DataSourceContractTest.TestResource` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataSourceContractTest.TestResource` | `build()` |
    `DataSourceContractTest.TestResource.Builder` | `setExpectedBytes​(byte[] expectedBytes)` | Sets the expected contents of this resource.
    `DataSourceContractTest.TestResource.Builder` | `setName​(String name)` | Sets a human-readable name for this resource which will be shown in test failure messages.
    `DataSourceContractTest.TestResource.Builder` | `setUri​(Uri uri)` | Sets the URI where this resource is located.
    `DataSourceContractTest.TestResource.Builder` | `setUri​(String uri)` | Sets the URI where this resource is located.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setName

          @CanIgnoreReturnValue
          public DataSourceContractTest.TestResource.Builder setName​(String name)

      Sets a human-readable name for this resource which will be shown in test failure messages.

    - #### setUri

          @CanIgnoreReturnValue
          public DataSourceContractTest.TestResource.Builder setUri​(String uri)

      Sets the URI where this resource is located.

    - #### setUri

          @CanIgnoreReturnValue
          public DataSourceContractTest.TestResource.Builder setUri​(Uri uri)

      Sets the URI where this resource is located.

    - #### setExpectedBytes

          @CanIgnoreReturnValue
          public DataSourceContractTest.TestResource.Builder setExpectedBytes​(byte[] expectedBytes)

      Sets the expected contents of this resource.

      Must be at least 5 bytes.

    - #### build

          public DataSourceContractTest.TestResource build()